Skip to main content
`Ctrl`+`K`

# SNESGetAlwaysComputesFinalResidual

checks if the `SNES` always computes the residual at the final solution

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESGetAlwaysComputesFinalResidual(SNES snes, PetscBool *flg)

Logically Collective

## Input Parameter

- snes - the `SNES` context

## Output Parameter

- flg - `PETSC_TRUE` if the residual is computed

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESFAS`, `SNESSolve()`, `SNESSetAlwaysComputesFinalResidual()`

## Level

advanced

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages